Page MenuHomePhabricator

Fallback messages get shown on RTL wikis with LTR user interface language
Closed, ResolvedPublic

Description

WikiEditor on RTL wiki with LTR user interface language

The hiding of the fallback message with

text-indent: -9999px

does not work on RTL wikis with LTR user interface language. See screen shot.


Version: master
Severity: trivial
URL: https://ar.wikipedia.org/w/index.php?title=Foo&action=edit&uselang=en

Attached:

Details

Reference
bz71661

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 3:45 AM
bzimport added a project: WikiEditor.
bzimport set Reference to bz71661.
bzimport added a subscriber: Unknown Object (MLST).
Fomafix created this task.Oct 5 2014, 10:33 AM

This is not a general problem on RTL wikis with LTR user interface language. It only occurs on arwiki. For example it does not occur on fawiki: https://fa.wikipedia.org/w/index.php?title=Foo&action=edit&uselang=en

arwiki tweaks some RTL/LTR settings in https://ar.wikipedia.org/wiki/ميدياويكي:Common.css and https://ar.wikipedia.org/wiki/ميدياويكي:Common.js:

Common.js:

/* Add class=mw-content-ltr to class=ltr and dir=ltr */
$(".ltr, div[dir*='ltr']").addClass("mw-content-ltr");

Common.css:

.mw-content-ltr {
text-align:left;
}
 
.mw-content-rtl {
text-align:right;
}

This cause this problems.

It would be possible to add a workaround in WikiEditor to prevent such problems. I think it would be better to fix or remove the tweaks in arwiki.

TheDJ edited subscribers, added: Ladsgroup, TheDJ; removed: wikibugs-l-list.Feb 23 2016, 11:37 PM

Pinging @Ladsgroup, maybe he knows why ar.wp does this, or someone else who might know.
It's outside the purview of phabricator really, but keeping it open for just a bit longer won't hurt..

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 23 2016, 11:37 PM

I have no idea why users of Arabic Wikipedia did this. I can only guess, based on the source code, that they might wanted to keep LTR material (common.js pages and similar types of pages) LTR, not RTL. It was a bug that was solved a very long time ago and I remember Persian WP had a workaround for it but then we deleted it. If you can find a discussion even in Arabic. I might be more helpful. :)

TheDJ added a comment.Feb 24 2016, 7:18 PM

Yeah, no luck there. I'm wondering if we should just ask a global interface rights person to intervene to remove those, and then leave their community a message referring to this ticket...

Yeah, no luck there. I'm wondering if we should just ask a global interface rights person to intervene to remove those, and then leave their community a message referring to this ticket...

I'd be happy to do so if needed.

TheDJ added a comment.Feb 24 2016, 7:56 PM

I'll first drop a line to the last person to have made several edits to their Common.css file. https://ar.wikipedia.org/w/index.php?title=نقاش_المستخدم:زكريا&diff=18547297&oldid=18496554

Zack added a subscriber: Zack.Mar 6 2016, 11:09 AM

arwiki tweaks have been removed. Thanks

Fomafix closed this task as Resolved.Mar 6 2016, 6:43 PM
Fomafix claimed this task.
GOIII moved this task from Backlog to Closed on the WikiEditor board.Apr 3 2016, 9:52 AM